<main class="viewer__container">
  <div class="viewer__wide">
    <header>
      <cv-pageheader [pageTitle]="title" [superTitle]="'Wijzigen'"></cv-pageheader>
    </header>

    <!-- <nav>
      <cv-actions [actionsGroup]="actions"></cv-actions>
    </nav> -->

    <article class="">
      <section>
        <p>
          Korte inleiding hier? Tips voor het invoeren van gegevens?
        </p>
      </section>

      <section>
        <h2>Algemene informatie</h2>
        <cv-person-form
          [person]="person$ | async"
          (create)="onCreate($event)"
          (update)="onUpdate($event)"
          (remove)="onRemove($event)"
          (cancel)="onCancel()"
        >
          <!-- ------------ Gekoppelde leerlijn(en) --------------------------------------- -->
          <!-- <div class="row">
            <div class="form-group col-xs">
              <h2>Leerlijn</h2>
              <p>Een leerdoel draagt bij aan één of meer leerlijnen.</p>
              <label for="learningLine">Leerlijn</label>

              <input
                type="text"
                formControlName="learningLine"
                placeholder="Hier een beschrijving"
                class="form-control"
                [class.is-invalid]="nameControlInvalid"
                required
              />
              <div class="invalid-feedback" *ngIf="nameControlInvalid">
                <p>Leerlijn is een verplicht veld.</p>
              </div>
            </div>
          </div> -->

          <!-- ------------ Gekoppelde onderwijseenheid --------------------------------------- -->
          <!-- <div class="row">
            <h2>Onderwijseenheid</h2>
            <p>
              Een leerdoel wordt gerealiseerd in precies 1 onderwijseenheid.
              Selecteer hier de onderwijseenheid.
            </p>
            <div class="form-group col-xs-5">

              <select
                formControlName="module"
                class="form-control"
                [class.is-invalid]="nameControlInvalid"
                required
              >
                <option *ngFor="let person of persons" [value]="person.name">{{
                  person.name
                }}</option>
              </select>

              <div class="invalid-feedback" *ngIf="nameControlInvalid">
                <p>Een onderwijseenheid is verplicht.</p>
              </div>
            </div>
          </div> -->
        </cv-person-form>
      </section>
    </article>
  </div>
</main>
